%define name	dyalog-xml
%define version 1.0.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DyAlog XML module
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#dyalog-xml
BuildRequires:	dyalog
BuildRequires:	libxml2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A DyALog module providing predicates over LibXML API. This module, while very
preliminary, may be used to read, process and print XML documents with DyALog.

%prep
%setup -q

%build
export CPPFLAGS=-I%{_libdir}/DyALog
export LDFLAGS=-L%{_libdir}/DyALog
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_libdir}/DyALog/%{name}/%{name}.pc %{buildroot}%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_libdir}/DyALog/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Mar 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdk
- new version

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-2mdk
- rebuilt against new dyalog

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.0-1mdk 
- first mdk release
